*,
::before,
::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

img {
  transition: transform 0.2s ease-in-out;
  max-width: 100%;
}

img:hover {
  transform: scale(1.0125);
}

button {
  transition: all 0.3s ease-out;
  cursor: pointer;
  border: none;
  background-color: white;
}

a {
  text-decoration: none;
}

main {
  min-width: 332px;
}

.invisible,
.hidden {
  display: none;
}

#menu-invisible {
  height: 477px;
  background-image: url(Background-img/image_geometry_menu_2.svg);
  background-position: bottom center;
  background-repeat: no-repeat;
}

#dot-div {
  background-image: url(Background-img/Group\ 51.svg);
  background-position: 80% 100%;
  background-repeat: no-repeat;
  height: 40px;
  width: 100%;
}

.nav {
  margin: 16.5px 14px 0 0;
}

#menu-invisible .nav {
  padding-top: 12px;
}

#menu-invisible .nav-list {
  display: flex;
  flex-direction: column;
}

#menu-invisible .nav-item {
  line-height: 48px;
  text-align: center;
}

#menu-invisible .nav-link {
  color: black;
  font-family: Poppins, sans-serif;
  font-weight: 400;
  font-size: 1rem;
}

.container {
  width: 90%;
  margin: 0 auto;
  max-width: 800px;
}

.row {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.logo-link {
  transition: transform 0.2s;
}

.logo-link:hover {
  animation: rotate 1s;
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

.nav-logo {
  list-style: none;
}

.line {
  border-bottom: 2px solid #1a2236;
  border-left: 20px solid #1a2236;
}

.space-between {
  margin: 4px 0;
}

.title {
  font-family: "Playfair Display", serif;
  font-style: normal;
  font-size: 3.125rem;
  line-height: 100%;
  margin: 30px 0 0 0;
}

.par-desc {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-size: 0.875rem;
  line-height: 21px;
  letter-spacing: -0.01em;
  margin: 17px 0 22px 0;
}

.darkblue {
  color: #1a2236;
  font-weight: 400;
}

.btn {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 1rem;
  line-height: 24px;
  text-align: center;
  color: #fff;
  background: #1a2236;
  width: 100%;
  padding: 12px 0;
}

.btn:hover {
  color: #1a2236;
  background: white;
  border: 1px solid #1a2236;
}

.btn:active {
  border: 2px solid #1a2236;
}

.headline-bottom-design {
  background-image: url("image_geometry_2.svg");
  background-repeat: no-repeat;
  background-position: center;
  height: 160px;
  margin: 32.31px auto;
  margin-bottom: 39.9px;

  /* max-width: 600px; */
}

.grid {
  display: grid;
  grid-template-rows: 4.7% 9% 6.7% 9% 6.7% 9% 6.7% 9% 6.7% 9% 6.7% 9% 6.7%;
  grid-template-columns: 1fr;
  margin: 32px 0 56px 0;
}

.work1-fig {
  grid-row: 2 / 3;
}

.work-cont {
  margin: 0 auto;
  width: 100%;
}

.work-cont .work-img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}

.workDesc {
  background: #1a2236;
  margin-top: -3px;
}

.workDesc h3,
.workDesc p {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 1.25rem;
  line-height: 80%;
  color: #fff;
  padding: 20px 0 16px 0;
}

.workDesc-list {
  display: flex;
  justify-content: flex-start;
  gap: 10px;
  list-style: none;
}

.workDesc-item {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 0.6458375rem;
  line-height: 80%;
  color: #1a2236;
  background: #98dede;
  padding: 6px 10px;
}

.workBtn {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 1rem;
  line-height: 24px;
  text-align: center;
  border: 1px solid #fff;
  color: #fff;
  background: #1a2236;
  padding: 10px;
  margin: 20px 0;
}

.workBtn:active {
  border: 2px solid #fff;
}

.btn-cont {
  display: flex;
  justify-content: flex-start;
  gap: 10px;
  align-items: center;
}

/* project description popup style */
.blur {
  overflow-y: hidden;
}

#popup-window {
  z-index: 15;
  height: 100%;
  width: 100%;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: #fff;
  backdrop-filter: blur(12px);
  overflow-y: auto;
  margin: auto 0;
}

.big-container a {
  text-decoration: none;
}

.big-container ul {
  list-style: none;
}

.big-container li {
  background: #fff;
}

.big-container img {
  max-width: 100%;
}

.big-container button {
  cursor: pointer;
  background: none;
}

.big-container .invisible {
  display: none;
}

.big-container .container {
  width: 90%;
  margin: 5% auto;
  max-width: 500px;
  min-width: 240px;
}

.big-container .header {
  padding-top: 5px;
}

.big-container .headerBtn {
  float: right;
  border: none;
  width: 20px;
  height: 20px;
}

.big-container .headerBtn img {
  width: 100%;
}

.big-container .container .title {
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 1.25rem;
  line-height: 80%;
  color: #1a2236;
}

.big-container .workDesc-list {
  display: flex;
  gap: 10px;
  margin: 23px 0 16px 0;
}

.big-container .workDesc-item {
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 0.646rem;
  line-height: 80%;
  color: #1a2236;
  border: 0.516669px solid #1a2236;
  padding: 6px 10px;
}

.big-container .work-image-all {
  width: 100%;
}

.big-container .work-image-all:hover {
  transform: none;
}

.big-container .detail-desc p {
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 1.125rem;
  line-height: 27px;
  color: #1a2236;
  margin: 29px 0;
}

.big-container .btn-cont {
  display: flex;
  flex-direction: column;
  gap: 29px;
  width: 80%;
  margin: 0 auto;
  max-width: 350px;
}

.big-container .btn-cont .btn-desc {
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 1.125rem;
  line-height: 27px;
  text-align: center;
  color: #1a2236;
  background: #fff;
  border: 1px solid #1a2236;
  padding: 12px 0;
  cursor: pointer;
  width: 100%;
}

.big-container .btn-cont .btn-desc img {
  float: right;
  margin-top: 3px;
  margin-right: 21px;
}

.big-container .btn-cont .btn-desc:hover {
  background: #1a2236;
  color: #fff;
  border: 1px solid #fff;

  .visible {
    display: none;
  }

  .invisible {
    display: block;
  }
}

.big-container .btn-cont .btn-desc:active {
  border: 2px solid #fff;
}

.foot-row button {
  background: none;
  border: none;
}

.foot-row button:active {
  border: 2px solid #1a2236;
}

/* project description style end */

.skill-pack {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
  gap: 16px;
  margin: 27px auto;
}

.language {
  background: #1c528a;
  background-image: url(Background-img/ic_languages_mob@2x.svg);
}

.framework {
  background: #e2505c;
  background-image: url(Background-img/ic_framework.svg);
}

.skill {
  background: #febf52;
  background-image: url(Background-img/ic_skills.svg);
}

.no-repeat {
  background-repeat: no-repeat;
  background-position: bottom right;
  padding-left: 50px;
  width: 90%;
  height: 289px;
}

.skill-pack h3,
.skill-pack li {
  font-family: "Poppins", sans-serif;
  color: #fff;
}

.skill-pack ul {
  padding: 21px 0 80px 17px;
  list-style-position: inside;
}

.skill-pack h3 {
  font-weight: 800;
  font-size: 1.25rem;
  line-height: 30px;
  padding: 25px 0 0 0;
}

.skill-pack li {
  font-weight: 600;
  font-size: 1.125rem;
  line-height: 27px;
  letter-spacing: -0.0525em;
}

.skill-pack li:first-of-type {
  padding-top: 21px;
}

label {
  transition: transform 0.2s ease-in-out;
}

.form label {
  display: block;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 0.625rem;
  line-height: 15px;
  color: #7d7c84;
}

.form input,
.form textarea {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 0.875rem;
  line-height: 21px;
  border: 1px solid #dfdfe0;
  border-radius: 4px;
  margin-bottom: 9px;
  width: 100%;
  max-width: 650px;
}

.form input {
  color: #1a2236;
  height: 52px;
  padding: 23px 0 8px 16px;
}

.form textarea {
  color: #7d7c84;
  height: 112px;
  padding: 14px 16px;
}

#email {
  transform: lowercase;
}

#error_message {
  color: rgb(255, 55, 0);
  font-size: larger;
  font-family: "poppins", sans-serif;
  margin-top: 0.5rem;
}

.form-col {
  display: flex;
  flex-direction: column;
}

.footer {
  margin-top: 31px;
  padding: 28px 0 36px 0;
}

.footer ul {
  list-style: none;
}

.footer-text {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 1rem;
  line-height: 24px;
  color: #92dcdc;
  text-align: center;
}

.foot-row {
  display: flex;
  justify-content: center;
  gap: 14px;
  align-items: center;
  margin-bottom: 25px;
}

label:hover {
  transform: translate(0.5em);
}

@media screen and (min-width: 768px) {
  body {
    padding-top: 100px;
  }

  .visible,
  .hidden {
    display: none;
  }

  #menu-invisible {
    display: none;
  }

  .nav {
    margin: 0;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1;
    background: #fff;
  }

  .invisible {
    display: block;
  }

  .invisible .nav {
    padding: 38px 0;
    box-shadow: 0 0.5px 0 #dddfe6;
    width: 100%;
  }

  .nav-list {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
    list-style: none;
  }

  .nav-link {
    text-decoration: none;
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 1rem;
    line-height: 24px;
    text-align: right;
    color: #1a2236;
  }

  .head-row {
    display: flex;
    justify-content: space-between;
    max-width: 1540px;
    margin: 0 auto;
    margin-bottom: 210px;
  }

  .headline-bottom-design {
    background-image: url("img/image-geometry_1\ desktop.svg");
    background-repeat: no-repeat;
    background-position: top;
    height: 877px;
    margin: 0;
    width: 100%;
    max-width: 1500px;
  }

  .headline .container {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-image: url(img/image_dots.svg);
    background-repeat: no-repeat;
    background-position: bottom right;
  }

  .headline .sub-cont {
    padding: 0 5em 0 9.375em;
  }

  .sub-cont .title {
    margin-top: 0;
    font-family: "Playfair Display", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 6.875rem;
    line-height: 100%;
  }

  .sub-cont .par-desc {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 1rem;
    line-height: 21px;
    letter-spacing: -0.01em;
    margin: 50px 0;
  }

  form .btn {
    width: 50%;
    margin-left: 150px;
    margin-top: 40px;
    padding: 20px 15px;
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 1.125rem;
    line-height: 27px;
    text-align: center;
  }

  .about .btn {
    width: 50%;
    display: flex;
    justify-content: center;
    gap: 24px;
  }

  .sub-cont .btn {
    width: 50%;
  }

  .sub-cont .btn:active {
    border: 2.5px solid #1a2236;
  }

  .grid {
    display: grid;
    height: 1725px;
    width: 1440px;
    margin: 0 auto;
    grid-template-columns: 22.41% 11.7% 23.3% 12.3% 17.41% 14.3%;
    grid-template-rows: 12.47% 21.88% 3.1% 1.6% 11.6% 4% 11.16% 16.4% 16.43%;
  }

  .work-cont {
    margin: 0;
  }

  .work0 h2 {
    transform: rotate(270deg);
    font-family: "Playfair Display", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 6.875rem;
    line-height: 100%;
    margin: 0;
    padding: 0;
    margin-top: 190px;
  }

  .work0 {
    grid-column: 1 / 2;
    grid-row: 1 / span 2;
  }

  .work1-fig {
    grid-column: 3 / span 4;
    grid-row: 1 / 2;
    padding: 0;
    margin-top: -5px;
  }

  .work1-desc {
    grid-column: 3 / span 4;
    grid-row: 2 / 3;
    padding-left: 20px;
  }

  .work2-fig {
    grid-column: 1 / 3;
    grid-row: 4 / 6;
    margin-top: 10px;
  }

  .work3-fig {
    grid-column: 1 / 4;
    grid-row: 7 / 9;
    margin-top: -3px;
  }

  .work4-fig {
    grid-column: 4 / 6;
    grid-row: 9 / 10;
    margin-top: 7px;
  }

  .work5-fig {
    grid-column: 5 / 7;
    grid-row: 6 / 8;
  }

  .work6-fig {
    grid-column: 5 / 7;
    grid-row: 3 / 5;
  }

  .work6-desc {
    grid-column: 5 / 7;
    grid-row: 4 / 6;
  }

  .geo1 {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    background-image: url(img/image_dots.svg);
    background-repeat: no-repeat;
    background-position: top right;
    background-size: 100%;
    margin-right: 19px;
  }

  .geo2 {
    grid-column: 3 / 5;
    grid-row: 3 / 7;
    background-image: url(Background-img/image-geometry_2.svg);
    background-repeat: no-repeat;
  }

  .geo3 {
    grid-column: 4 / 7;
    grid-row: 8 / 9;
    background-image: url(Background-img/image-geometry_3.svg);
    background-repeat: no-repeat;
    background-position: bottom;
  }

  .geo4 {
    grid-column: 1 / 2;
    grid-row: 9;
    background-image: url(Background-img/image-geometry_5.svg);
    background-repeat: no-repeat;
    background-position: left top;
    margin-top: 8px;
  }

  .geo5 {
    grid-column: 3 / 4;
    grid-row: 9;
    background-image: url(Background-img/image-geometry_4.svg);
    background-repeat: no-repeat;
    background-position: right top;
    margin-top: 8px;
  }

  .work6-desc h3 {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 2.5rem;
    line-height: 80%;
  }

  .work6 li button {
    background: #98dede;
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 300;
    font-size: 1.25rem;
    line-height: 80%;
    color: #1a2236;
  }

  .work1 h3 {
    font-weight: 700;
    font-size: 3.75rem;
    line-height: 80%;
    margin: 60px 0 34px 0;
    padding: 0;
  }

  .work1 li,
  .work6 li {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 300;
    font-size: 1.25rem;
    line-height: 80%;
    padding: 12px 20px;
    margin: 0;
  }

  .work1 .container {
    margin: 0 auto;
    width: 100%;
  }

  .workBtn {
    background: #fff;
    color: #1a2236;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-size: 1.125rem;
    line-height: 27px;
    text-align: center;
    padding: 12px 20px;
  }

  .work1 .workBtn {
    margin: 60px 0;
  }

  .big-container .invisible {
    display: block;
  }

  .big-container .visible {
    display: none;
  }

  .workBtn:hover {
    background: #1a2236;
    color: #fff;

    .visible {
      display: block;
    }

    .invisible {
      display: none;
    }
  }

  .workBtn:active {
    border: 2.5px solid #fff;
  }

  /* project description popup style */

  #popup-window {
    background: rgba(26, 34, 54, 0.95);
    margin: 0 auto;
  }

  .big-container {
    max-width: 1640px;
    padding: 4% 0;
    margin: 0 auto;
  }

  .big-container .container {
    width: 90%;
    margin: 0 auto;
    background: #fff;
    box-shadow: 0 10px 20px #00000040;
    height: 1750px;
    max-width: 1440px;
  }

  .big-container .small-container {
    width: 90%;
    margin: 0 auto;
    padding: 5% 0;
  }

  .big-container .header {
    padding: 0;
  }

  .big-container .headerBtn {
    width: 32px;
    height: 32px;
  }

  .big-container .headerBtn img {
    width: 100%;
  }

  .about .title {
    font-family: "Playfair Display", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 6.875rem;
    line-height: 100%;
  }

  .contact .title {
    font-family: "Playfair Display", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 6.875rem;
    line-height: 100%;
    text-align: center;
  }

  .big-container .container .title {
    font-family: 'Poppins', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 3.75rem;
    line-height: 80%;
    margin-top: 0;
  }

  .big-container .workDesc-list {
    margin: 32px 0 40px 0;
    gap: 20px;
  }

  .big-container .workDesc-item {
    padding: 0.75em 1.25em;
    font-weight: 300;
    font-size: 1.25rem;
    line-height: 80%;
  }

  .big-container .detail-desc {
    width: 60%;
    margin: 0 auto;
    margin-top: 80px;
  }

  .big-container .detail-desc p {
    font-weight: 400;
    font-size: 1.125rem;
    line-height: 27px;
  }

  .big-container .detail-desc p:last-of-type {
    margin-bottom: 40px;
  }

  .big-container .btn-cont {
    width: 80%;
    flex-direction: row;
    justify-content: flex-start;
    margin: 0;
    max-width: 750px;
  }

  .big-container .btn-cont .btn-desc {
    width: 100%;
    text-align: left;
    padding-left: 25px;
    min-width: 200px;
  }

  .big-container .btn-cont .btn-desc .visible {
    display: block;
  }

  .big-container .btn-cont .btn-desc .invisible {
    display: none;
  }

  .big-container .btn-cont .btn-desc:hover {
    background: #1a2236;
    color: #fff;
    border: 1px solid #fff;

    .visible {
      display: none;
    }

    .invisible {
      display: block;
    }
  }

  .big-container .direction-btn {
    display: flex;
    justify-content: space-between;
    margin-top: 120px;
  }

  .big-container .direction-btn button {
    font-family: 'Poppins', sans-serif;
    font-style: normal;
    font-weight: 300;
    font-size: 1.125rem;
    line-height: 27px;
    color: #1a2236;
    background-color: #fff;
    border: none;
    background-repeat: no-repeat;
  }

  .big-container .direction-btn button:first-of-type {
    padding-left: 2.5em;
    background-image: url(img/Union3.svg);
    background-position: left center;
  }

  .big-container .direction-btn button:last-of-type {
    padding-right: 2.5em;
    background-image: url(img/Union4.svg);
    background-position: right center;
  }

  /* project description popup style end */

  .about {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    margin: 0 auto;
    width: 90%;
    padding: 0 80px 0 160px;
    min-width: 1360px;
    max-width: 1550px;
    margin-top: 160px;
  }

  .about .container {
    padding-top: 28px;
    width: 100%;
    margin-left: 96px;
  }

  .about .par-desc {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 0.875rem;
    line-height: 21px;
  }

  .skill-pack {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 0;
    width: 80%;
  }

  .language {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    width: 289px;
    padding-left: 40px;
  }

  .framework {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    width: 289px;
    padding-left: 40px;
  }

  .skill {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
    width: 289px;
    padding-left: 40px;
  }

  .dot {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
    background-image: url(Background-img/image_dots_with_teal.svg);
    background-position: right bottom;
    background-repeat: no-repeat;
    width: 289px;
    height: 289px;
    margin-bottom: -5px;
  }

  .contact {
    background: #f9f9fa;
    background-image: url(img/image-geometry_6.svg);
    background-position: left top;
    background-repeat: no-repeat;
    min-width: 1496px;
    /* max-width: 2440px; */
    margin: 0 auto;
    margin-top: 148px;
  }

  .contact .container {
    width: 45%;
    margin: 0 auto;
    max-width: 670px;
    padding-top: 128px;
    margin-bottom: -175px;
  }

  .contact .par-desc {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 0.875rem;
    line-height: 21px;
    letter-spacing: -0.01em;
    padding: 20px 0;
  }

  .geo2-img {
    background-image: url(Background-img/image-geometry_7.svg);
    background-repeat: no-repeat;
    background-position: right top;
    height: 350px;
  }

  .form-row {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
  }

  .col {
    width: 45%;
  }

  .col + .col {
    margin-left: 50px;
  }

  .col2 {
    width: 98%;
  }

  .footer {
    height: 125px;
    min-width: 1490px;
    /* max-width: 2440px; */
    margin: 0 auto;
    margin-top: -1px;
  }

  .footer-cont {
    display: flex;
    justify-content: space-between;
    gap: 50%;
    align-items: center;
    width: 80%;
    margin: 0 auto;
    padding-top: 20px;
  }

  .foot-row {
    width: 50%;
    margin: 0;
  }

  .footer .social-list {
    width: 90%;
  }

  .footer-text {
    font-family: "Poppins", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 1.125rem;
    line-height: 27px;
    text-align: center;
    margin-right: 14px;
  }
}
